Софтпанорама 1992, No. 1 (25) *** NEWS ***   Составитель: Н.Н. БЕЗРУКОВ
************************************************************************

                ╔═════════════════════════════════════╗
                ║  П А Н О Р А М А   Н О В О С Т Е Й  ║
                ╚═════════════════════════════════════╝

                    PKware Data Compression Library

     Наверное только одна вещь растет быстрее цен - объем данных на вин-
честерах. Поскольку винчестер "не резиновый" уже становится  необходимым
сжимать  не  только  программы,  но  и данные. Конечно Stacker позволяет
"отыграть" часть дискового пространства, занятого всякими там NG, хэлпа-
ми, почтой. Но только часть. А если собственная программа "генерит"  ме-
габайты, как например программа генерации определенного вида графов, ко-
торую как-то пришлось писать автору, то наличие "внутреннего упаковщика"
становится необходимым.
     PKware Data  Compression Library  решает эту  проблему, обеспечивая
пользователя  несколько  проверенных  алгоритмов  из  все еще популярных
PKZIP/PKUNZIP. Имеется  специальный метод  сжатия ASCII-файлов.  Имеется
также возможность  выбирать между  высокой скорость  и высокой  степенью
сжатия. Наивысший уровень сжатия превосходит PKZIP, но на 30% медленнее.
     Помимо сжатия/разжатия данных, записываемых на диск эта  библиотека
может использоваться для сжатия хранимых в памяти данных.
     Библиотека поставляется в виде OBJ и LIB файлов для большинства по-
пулярных компиляторов.  Программы сжатия  требуют буфер  порядка 35K,  а
программа распаковки - 7K. Сам код занимает порядка 5K.

                                                                   Б.Н.Н.
                                                     По материалам PC World
                                                     (October 1991, p.293)

************************** WATCOM C8.5/386: ***************************
********************* отречемся от старого мира, **********************
******************** отряхнем его прах с наших ног ********************

      Последнее время о компиляторе WATCOM С стали много говорить в свя-
зи с тем, что на нем написан RunTime FoxPro 2.0 и для компиляции  допол-
нительных модулей (по слухам) нужен именно WATCOM С.
      Это оптимизирующий компилятор,  который по качеству  генерируемого
выгодно отличается от "пессимизирующих" компиляторов Borland и Microsoft.
      В состав пакета входит бесплатный 32-битный DOS extender, Windows
GUI Application Kit, Code Optimizer, качественный интерактивный отладчик
и профайлер.
                                                                   Б.Н.Н.
                                               По материалам PC World
                                              (October 1991, реклама фирмы)


***************** MS WINDOWS - ПОЖИРАТЕЛЬ МЕЛКИХ ФИРМ *****************

     Распространение Windows 3.1 и принятие его в качестве коммерческого
стандарта серьезно подрывают позиции мелких и средних фирм разработчиков
программного обеспечения. По-видимому  эпоха "бури и  натиска" сменяется
клубом миллиардеров. Разработка и поддержка адекватного графического ин-
терфейса с учетом политики "пляшущих человечков" из Microsoft, мало  за-
ботящихся о  совместимости между  версиями и  использующими "сюрпризный"
метод выпуска новых версий становится не под силу мелким фирмам. С  дру-
гой стороны мощная поддержка Windows со стороны производителей аппарату-
ры, которые рассматривают ее как средство хоть немного поднять доходы за
счет выпуска и  продажи более мощных  компьютеров и, тем  самым, продер-
жаться в условиях  спада, ведет к  сужению рынка маломощных  компьютеров
всех классов.
     Так или иначе серия "поглощений" и "исчезновений" начавшаяся в 1991
г. по-видимому будет продолжена 1992 г.

                                                                  Б.Н.Н.

****************** Lantastic 4.0 - simply fantastic ********************

      Как уже я писал в 1991 г. появилась новая, более быстрая и  надеж-
ная версия Lantastic - "сети для бедняков". В новой версии решены  ранее
существовавшие проблемы с Windows. Работа через параллельные порты обес-
печивает скорость, сопоставимую с доступом к медленному винчестеру  (как
в Искре)  и вполне  удовлетворяет большинство  приложений. Функционально
это настоящая LAN с  почтой, привилегиями и др.  средствами характерными
для более дорогих "сестер".
      В опросе  PC World  Lantastic заняла  третье место  (после Netware
3.11 и Netware  2.2), получив 11%  голосов респонентов, а  сетевая плата
Lantastic AE-2 также  заняла первое место  получив 14 процентов  голосов
респондентов (за ней шли NE 2000 (12%) и Etherlink Network Adapter).
      Стоимость $99 на одного пользователя.
      Дополнительные материалы по сравнению нескольких "сетей для бедня-
ков" (программ передачи  информации LPT порты)  приведен в статье  Игоря
Свиридова, публикуемой в данном выпуске.
                                                                    Б.Н.Н.

*************** Agenda - первое место в опросе PC World *****************
*************** в классе "Personal Information Manager" *****************

       Данный продукт фирмы Lotus, представляющий собой особый класс СУБД
получил 15% голосов респондентов.  Второе место занял SideKick  2.0, как
СУБД являющийся надстройкой над  Paradox, не имеющей собственного  языка
запросов (11% голосов). Как ни странно, третье место заняли средства па-
кета PC Tools.
                                                                   Б.Н.Н.

*** Quattro Pro и Paradox - восходящие звезды рынка коммерческих систем**

       Помимо Turbo C++ безусловно являющегося продуктом года, указанные
две системы успешно теснят  казалось бы прочно обосновавшихся  конкурен-
тов, что наводит на мысль, что  еще не все застыло на рынке  программных
продуктов.
       В  частности  Quattro  отвоевал  более  половины  пользователей у
Lotus: факт который кажется совершенно фантастичным, учитывая  консерва-
тизм контингента пользователей.
       Аналогично Paradox отвоевал почти  треть пользователей у dBase  и
его клонов (кстати, как ни странно, клоны в США имеют лишь весьма  огра-
ниченный успех; например FoxPro получил  лишь 6% голосов по сравнению  с
28% для dBase III и IV).


** IBM и COMPAC сдают позиции производителям из Тайваня и Южной Кореи ***

     Производители дорогих, но якобы более надежных компьютеров, к числу
которых прежде всего относится IBM и COMPAC сильно пострадали в условиях
спада, когда американские пользователи обнаружили, что гораздо более де-
шевые клоны зачастую  не только мощнее,  но и не  менее надежны, чем  их
конкуренты. В результате им пришлось резко снизить цены на свои  изделия
и выпустить новые "сверхдешевые" модели. Тем менее рынок уже  "качнулся"
в противоположную сторону и финансовое будущее этих компаний не  блестя-
ще.
     Например, ни один компьютер фирмы IBM не попал "пятерку лучших",  в
опросе PC World. В ней доминировали дешевые клоны фирмы Gateway  (второе
и четвертое место).
                                                                   Б.Н.Н.

****************** Принтеры Panasonic теснят Epson *********************

     По  результатам  десятого  конкурса  World  Class  Awards  принтеры
Panasonic KXP-1124i (21%  голосов) существенно превосходят  принтеры LQ-
1050 и LQ-2550 фирмы Epson (по 6% голосов).
     24 игольчатый принтер KXP-1124i стоит $280 (это не ошибка, действи-
тельно двести восемдесят) и обеспечивает скорость 192 символов в секунду.
Я хочу напомнить, что популярный у нас 9-игольчатый принтер FX-1050 сто-
ит $400 и в режиме NLQ имеет скорость менее 100 символов в секунду.
     Так что же мы покупаем ?
                                                                   Б.Н.Н.

********* Резкое подорожание междугородних телефонных тарифов **********
**** требует более четкой организации FIDO, в особенности в Киеве ******

     Минута разговора с Москвой из Киева теперь стоит 2.10. Что-то слабо
верится, что  полученные суммы  пойдут в  заплату работникам  АТС или на
развитие сетей. Поэтому "домашние" BBS, которые составляют  значительную
часть активно  работающих поинтов,  да и  не так  уж редки среди станций
(достаточно вспомнить станции Миши  Лаврентьева, Игоря Свиридова и  др.)
теперь поневоле переходят в режим "максимальной экономии". Это  возможно
еще какой-то вариант для больших городов типа Москвы,  Санкт-Петербурга,
Киева, однако ведь существует много городов с одной-двумя станциями.
     Новые условия требуют более высокой степени организации.  Путешест-
вие почты типа Киев-Москва-Киев, которая часто случается сегодня уже не-
терпима. Борьба с дублями должна вестись более четко. Ну и, конечно, ре-
сканирование становится накладным.
     Кстати, организационная  ситуация в  Киеве перед  Новым Годом  была
близка к хаосу и после подорожания становится нетерпимой. Часть  станций
берет почту прямо из Москвы, хотя ее принимает Softpanorama-I и могла бы
передавать Киевскому эхо-хабу. Часть станций вообще не поддерживает поч-
ту. Поэтому на январском или на худой конец февральском семинаре необхо-
димо все организационные  вопросы утрясти и  каждый должен будет  "нести
выданный ему чемодан". В этом  деле, я надеюсь, активное участие  примут
Владимир Загоровский, Феликс Грушевский и Максим Круковский.
     Короче обнищание,  оно обнищание  и есть,  но насколько  оно по нам
ударит, во многом зависит от нас самих.

                                                                   Б.Н.Н.

*** Free Software Foundation (FSF): совместная программа с Россией ! ***

     Как известно, FSF это группа программистов, основанная и возглавля-
емая Ричардом Сталменом (Richard M. Stallman), которая работает над  со-
зданием свободно распространяемой,  исходно полной среды  программирова-
ния. Этот проект, получивший название GNU уже немного известен читателям
Софтпанорамы (см., например, дизассемблер, опубликованный в SP3A-C). Его
цель - создание бесплатной и "исходно-полной"(Sourceware)  интегрирован-
ной программной среды, средства  которой совместимы с возможностями  OC
UNIX. Координация проекта осуществляется через электронные  конференции.
В частности существует регулярно обновляемый список текущих задач, к вы-
полнению которых могут подключиться все желающие. В настоящее время уча-
стниками проекта GNU уже реализовано несколько бесплатных  высококачест-
венных программных систем (причем компилятор с языка C++ многими  счита-
ется лучшим, чем коммерческие аналоги), например:
     Emacs - программируемый редактор
     GCC - переносимый оптимизирующий компилятор языка С;
     GDB - отладчик программ для С, C++, Фортран;
     GCC++ - компилятор с C++;
     X11 - реализация MIT системы "X-windows".

     Правительство России приняло решение о финансировании проекта GNU в
нашей стране. Организационно  планируется создать Центр  свободного про-
граммного обеспечения, базирующийся в МГУ, а также филиалы Центра в  го-
родах России. Госкомитет  России по делам  науки и высшей  школы создает
для этой цели фонд, распоряжаться которым видимо будет указанный  центр,
точнее руководство центра. Ну и как водится, для освящения решений  име-
нем научной общественности создается Научный Совет по координации работ.
     Вопрос, станет ли создаваемый  фонд очередной кормушкой для  около-
компьютерных толстопузов, остается открытым, поэтому желательно активное
участие программистской общественности Москвы в Научном Совете (как  ми-
нимум необходимо участие нескольких представителей московского  семинара
Системное  программирование)  и  гласность  принимаемых  решений  (см. в
REPRINTS полный текст письма чл.корр.Иванникова В.П. и первую  (довольно
негативную) реакцию участников  русскоязычной конференции SU.SOFTW  FIDO
на эту  письмо). С  учетом моего  личного интереса к FSF  и как редактор
Софтпанорамы  я  готов  оказать  максимальное содействие в осуществлении
данной программы и, в частности, опубликовать устав Фонда, состав  Науч-
ного Совета (кем и как  он будет выбираться, написали ли  конкретные его
члены хоть одну программу на языке С (if any) и т.д.) условия  выделения
субсидий, а по мере завершения работ и сами созданные программы.
                                                                   Б.Н.Н.

*******  Образована группа пользователей компьютеров Макинтош **********

     В Научно-Исследовательском  Вычислительном центре  Московского Уни-
верситета им.М.В.Ломоносова организована группа пользователей  компьюте-
ров Макинтош (Macintosh User Group). Это - первая группа пользователей в
России, зарегистрированная фирмой Apple Computer Inc.
     Группа призвана объединить пользователей компьютеров Макинтош  раз-
личных категорий и разных уровней квалификации: от начинающих  пользова-
телей и специалистов-прикладников до профессиональных программистов.
     Основные задачи группы:
                              Для пользователей:
     - помощь в освоении компьютеров Макинтош,
     - помощь в освоении прикладных программ,
     - распространение информации о новых программных продуктах и
аппаратных средствах,
     - помощь в выборе конфигурации компьютерных систем и сетей,
     - помощь в установке программ и программных систем.

                          Для программистов:
     - помощь программистам, начинающим работать на компьютерах Макинтош,
     - обмен технической информацией,
     - помощь в проведении тестирования программных продуктов,
     - распространение информации о новых зарубежных программных продук-
тах в нашей стране и наших программных продуктах за рубежом.

                                     Аркадий Морейнис
                                     119899 Москва, МГУ, НИВЦ
                                     AppleLink:  MOSCOW.UNIV/UG
                                     e-mail:     ug@jonathan.srcc.msu.su
                                     fax:        (095) 938-21-36
                                     phone:      (095) 939-23-27



********** Не хотите ли приобрести PC AT, но по 500 тысяч ? ************
*************** ("Вчера были по 3, но ооочень большие, *****************
***************  а сегодня по 5, но ооочень маленькие") ****************

     Цены на PC AT  продолжают повышаться и курс  рубля уже им не  указ:
спрос намного превышает предложение и многие предприятия просто  "отова-
ривают безналик".
     Ленинцы из "Гаммы" (фирма  расположенная в бывш.музее В.И.Ленина  и
известная киевлянам  своими крайне  высокими ценами  при низком качестве
изделий и обслуживания) вошли во вкус повышения цен на компьютеры и  вы-
ставили стандартную "желтую"  PC AT (правда  с приличным дисплеем  VGA и
картой с 512К на  плате) по цене более  500 тыс. рублей. Принтер  CPF. А
еще говорят, что по Киеву  ездит троллейбус с надписью "Гамма  это самые
низкие цены" или что-то в этом роде.
                                                                   Б.Н.Н.
 


